$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 DatastreamProjectsLocationsListRequest export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  filter:
    description: |-
      A filter to narrow down results to a preferred subset. The filtering
      language accepts strings like `"displayName=tokyo"`, and is documented in
      more detail in [AIP-160](https://google.aip.dev/160).
    type: string
  name:
    description: The resource that owns the locations collection, if applicable.
    type: string
  pageSize:
    description: |-
      The maximum number of results to return. If not set, the service selects a
      default.
    type: integer
  pageToken:
    description: |-
      A page token received from the `next_page_token` field in the response.
      Send that page token to receive the subsequent page.
    type: string
